org.apache.olingo.server.api.processor

## Interface PrimitiveCollectionProcessor

- All Superinterfaces:
    Processor
  All Known Subinterfaces:
    CountPrimitiveCollectionProcessor

      public interface PrimitiveCollectionProcessor
      extends Processor

  Processor interface for handling a collection of primitive-type instances, e.g., a property of an entity defined as collection of primitive-type instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePrimitiveCollection(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes primitive-type collection from an entity and puts the status into the response.
    `void` | `readPrimitiveCollection(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads primitive-type collection.
    `void` | `updatePrimitiveCollection(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Update (replace) primitive-type collection with send data in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readPrimitiveCollection

          void readPrimitiveCollection(ODataRequest request,
                                       ODataResponse response,
                                       UriInfo uriInfo,
                                       ContentType responseFormat)
                                throws ODataApplicationException,
                                       ODataLibraryException

      Reads primitive-type collection. If it is not available, for example due to permissions, the service responds with 404 Not Found.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updatePrimitiveCollection

          void updatePrimitiveCollection(ODataRequest request,
                                         ODataResponse response,
                                         UriInfo uriInfo,
                                         ContentType requestFormat,
                                         ContentType responseFormat)
                                  throws ODataApplicationException,
                                         ODataLibraryException

      Update (replace) primitive-type collection with send data in the persistence and puts content, status, and Location into the response. Update of primitive-type collection is equal to a complete replace of the property (see chapter "11.4.9.4 Update a Collection Property").
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deletePrimitiveCollection

          void deletePrimitiveCollection(ODataRequest request,
                                         ODataResponse response,
                                         UriInfo uriInfo)
                                  throws ODataApplicationException,
                                         ODataLibraryException

      Deletes primitive-type collection from an entity and puts the status into the response. Deletion for primitive-type collection is equal to set the content to `EMPTY`.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.